Bug 76028 - libgnomeprint 0.37 (was evolution crashes when printing email)
libgnomeprint 0.37 (was evolution crashes when printing email)
Product: Red Hat Linux
Classification: Retired
Component: gnome-print (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
: 77107 (view as bug list)
Depends On:
Blocks: 79578
  Show dependency treegraph
Reported: 2002-10-15 17:53 EDT by Shaun Carter
Modified: 2008-05-01 11:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-07 15:44:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
backtrace (2.00 KB, text/plain)
2002-10-15 17:54 EDT, Shaun Carter
no flags Details
A proposed patch for this bug for gnome-print-0.35-8 (833 bytes, patch)
2002-11-01 15:53 EST, Simen Gaure
no flags Details | Diff

  None (edit)
Description Shaun Carter 2002-10-15 17:53:21 EDT
Description of Problem:
evolution crashes when printing email

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. get email
2. press print
3. evolution crashes

Actual Results:
evolution crashes

Expected Results:
email should print

Additional Information:
	backtrace attached
Comment 1 Shaun Carter 2002-10-15 17:54:34 EDT
Created attachment 80564 [details]
Comment 2 Gerry Tool 2002-10-24 20:43:50 EDT
This is keeping me from using evolution.  Mail received as plain text tends to
print ok, but mail that is formatted (html) always crashes evolution e-mail.
Comment 3 Simen Gaure 2002-10-31 17:37:52 EST
After some experimentation with different kinds of messages, I'm able
to print some html messages, but not all.

This bug has been filed at Ximian as
and at gnome as http://bugzilla.gnome.org/show_bug.cgi?id=97170

It seems unclear who's bug it is, but Ximian claims it's not theirs.

Comment 4 Jeremy Katz 2002-10-31 17:48:39 EST
I'd agree that it looks like a gnome-print bug
Comment 5 Simen Gaure 2002-11-01 15:53:43 EST
Created attachment 83085 [details]
A proposed patch for this bug for gnome-print-0.35-8
Comment 6 Simen Gaure 2002-11-01 15:59:14 EST
I have attached a diff between the original gnome-font-face.c and a working
one.  I don't have very good knowledge of the internal workings of libgnomeprint,
but it seems the problem is related to the usage of t1 fonts with less than
256 glyphs.  The author has been aware of the problem and has intended to fix it.

The diff is a one-line change consisting of removing the four letters 'lyph'.

If someone more knowledgeable about the bowels of libgnomeprint could verify
that the proposed patch fixes it, it would be fine. And the bug could be
Comment 7 Simen Gaure 2002-11-05 07:29:34 EST
I've checked the sources and this particular bug has been fixed in 
gnome-print 0.36.
This is really a problem with the RedHat dist, which ships with gnome-print 0.35.
Comment 8 Need Real Name 2002-11-27 15:13:10 EST
FYI, Ximian has released gnome-print/libgnomeprint15 0.37 packages which fix
this problem.  We've gotten dozens of duplicate reports of this, most of which
are probably from users who are convinced that it's an Evolution bug and are
reporting it to Ximian rather than Red Hat despite the fact that they have no
Ximian packages installed.  It would be nice if fixed packages were available
from Red Hat, though.
Comment 9 Havoc Pennington 2002-12-13 14:15:21 EST
OK, marking for fixage in next release.
Comment 10 Owen Taylor 2003-01-07 15:42:52 EST
*** Bug 77107 has been marked as a duplicate of this bug. ***
Comment 11 Owen Taylor 2003-01-07 15:44:19 EST
* Thu Dec 19 2002 Jeremy Katz <katzj@redhat.com> 0.37-1
- update to 0.37

Note You need to log in before you can comment on or make changes to this bug.